<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 2008 - INRIA
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="fr" xml:id="strong_connex">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>strong_connex</refname>
    <refpurpose> composantes fortement connexes  </refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Séquence d'appel</title>
    <synopsis>[nc,ncomp] = strong_connex(g)</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Paramètres</title>
    <variablelist>
      <varlistentry>
        <term>g  </term>
        <listitem>
          <para>graphe (liste)
</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>nc  </term>
        <listitem>
          <para>entier, nombre de composantes fortement connexes
</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>ncomp  </term>
        <listitem>
          <para>vecteur ligne des composantes fortement connexes
</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para><literal>strong_connex</literal> renvoie le nombre <literal>nc</literal> de composantes fortement connexes
    pour le graphe <literal>g</literal> et un vecteur ligne <literal>ncomp</literal> donnant le nombre de
    composantes fortement connexes pour chaque sommet. 
    Par exemple, si <literal>i</literal> est un numéro de sommet, <literal>ncomp(i)</literal> est le numéro de la
    composante fortement connexe à laquelle le sommet <literal>i</literal> appartient.
  </para>
  </refsection>
  <refsection>
    <title>Exemples</title>
    <programlisting role="example"><![CDATA[ 
ta=[1 1 2 2 2 3 4 4 5 6 6 6 7 7 7 8 9 10 12 12 13 13 13 14 15];
he=[2 6 3 4 5 1 3 5 1 7 10 11 5 8 9 5 8 11 10 11 9 11 15 13 14];
g=make_graph('foo',1,15,ta,he);
g.nodes.graphics.x=[197 191 106 194 296 305 305 418 422 432 552 550 549 416 548]; 
g.nodes.graphics.y=[76 181 276 278 276 83 174 281 177 86 175 90 290 397 399];
show_graph(g);

[nc,ncomp]=strong_connex(g);
colors=[2 7 5 29 24 1];
g=add_node_data(g,'component_number',ncomp)
g.nodes.graphics.colors(1,:)=colors(ncomp);
g.nodes.graphics.display='component_number';

show_graph(g);
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>Voir Aussi</title>
    <simplelist type="inline">
      <member>
        <link linkend="connex">connex</link>
      </member>
      <member>
        <link linkend="con_nodes">con_nodes</link>
      </member>
      <member>
        <link linkend="strong_con_nodes">strong_con_nodes</link>
      </member>
    </simplelist>
  </refsection>
</refentry>
